IF OBJECT_ID('[Executions_Extended]') IS NOT NULL DROP VIEW [Executions_Extended]
GO

CREATE VIEW [Executions_Extended]
AS
	SELECT E.[Execution_Id],
	       E.[Start_Date],
		   E.[End_Date],
		   E.[ExecutionStatus_Code],
		   E.[ExecutionRunState_Code],
		   E.[ExecutionMode_Code],
		   E.[CreatedBy_User_Name],
		   E.[CreatedOn_Date],
		   E.[CanceledBy_User_Name],
		   E.[CanceledOn_Date],
		   E.[ExecutionType_Name],
		   E.[Execution_Configuration],
		   ST.[ScheduledTask_Id],
		   ST.[ScheduledTaskType_Code],
		   F.[Feed_Id],
		   F.[Feed_Name],
		   F.[FeedType_Name],
		   C.[Connector_Id],
		   C.[Connector_Name],
		   C.[Connector_Url]
	  FROM [Executions] E
	       LEFT JOIN [ScheduledTasks] ST
		          ON ST.[ScheduledTask_Id] = E.[ScheduledTask_Id]
		   LEFT JOIN [Feeds] F
		          ON F.[Feed_Id] = E.[Feed_Id]
		   LEFT JOIN [Connectors] C
		          ON C.[Connector_Id] = E.[Connector_Id]

GO