EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Connectors_GetConnectors',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'Connectors',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all of the connectors.'
GO

IF OBJECT_ID('[Connectors_GetConnectors]') IS NOT NULL DROP PROCEDURE [Connectors_GetConnectors]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Connectors_GetConnectors]
(
    @Feed_Id INT = NULL
)
AS BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [Connectors] C
     WHERE @Feed_Id IS NULL 
        OR EXISTS(SELECT * 
                    FROM [FeedConnectors] FC 
                   WHERE C.[Connector_Id] = FC.[Connector_Id] AND FC.[Feed_Id] = @Feed_Id)

END
GO

GRANT EXECUTE ON [Connectors_GetConnectors] TO [ProGetUser_Role]
GO
