EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'PypiPackages_DeletePackage',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes the specified PyPI package from the database.'
GO

IF OBJECT_ID('[PypiPackages_DeletePackage]') IS NOT NULL DROP PROCEDURE [PypiPackages_DeletePackage]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [PypiPackages_DeletePackage]
(
	@Feed_Id INT,
	@Package_Name VARCHAR(200),
	@Version_Text VARCHAR(200),
	@File_Name VARCHAR(200) = NULL
)
AS
BEGIN

SET NOCOUNT ON

	DELETE
	  FROM [PypiPackages]
	 WHERE [Feed_Id] = @Feed_Id
	   AND [Package_Name] = @Package_Name
	   AND [Version_Text] = @Version_Text
	   AND [File_Name] = COALESCE(@File_Name, [File_Name])

END
GO

GRANT EXECUTE ON [PypiPackages_DeletePackage] TO [ProGetUser_Role]
GO
