IF OBJECT_ID('[Vulnerabilities_Extended]') IS NOT NULL DROP VIEW [Vulnerabilities_Extended]
GO

CREATE VIEW [Vulnerabilities_Extended]
AS
	SELECT V.[Vulnerability_Id],
	       V.[FeedType_Name],
		   V.[External_Id],
		   V.[Package_Name],
		   V.[Package_Versions],
		   V.[Title_Text],
		   V.[Description_Text],
		   V.[VulnerabilitySource_Id],
		   VS.[VulnerabilitySource_Name],
		   V.[AssessmentType_Id],
		   V.[Assessment_Date],
		   V.[AssessedBy_User_Name],
		   AT.[AssessmentType_Name],
		   AT.[BlockDownload_Indicator],
		   AT.[Expiration_Days],
		   AT.[Severity_Code],
		   AT.[Custom_Color]
	  FROM [Vulnerabilities] V
		   LEFT JOIN [AssessmentTypes] AT
		          ON AT.[AssessmentType_Id] = V.[AssessmentType_Id]
		  INNER JOIN [VulnerabilitySources] VS
		          ON VS.VulnerabilitySource_Id = V.[VulnerabilitySource_Id]

GO